文档重排序
根据查询对文档列表进行相关性重排序
POST
/v1/rerank文档重排序
根据查询对文档列表进行相关性重排序
鉴权: 使用 Bearer Token 认证。 格式: `Authorization: Bearer sk-xxxxxx`
请求体
必填
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
model | string | 是 | 示例: "rerank-english-v2.0" |
query | string | 是 | 查询文本 |
documents | array<string | object> | 是 | 要重排序的文档列表 |
[] | string | object | ||
top_n | integer | 返回前 N 个结果 | |
return_documents | boolean | 默认: false |
示例代码
curl -X POST "https://api.nodeprice.com/v1/rerank" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <token>" \
-d '{
"model": "string",
"query": "string",
"documents": [
"string"
],
"top_n": 0,
"return_documents": false
}'const url = "https://api.nodeprice.com/v1/rerank";
const body = {
"model": "string",
"query": "string",
"documents": [
"string"
],
"top_n": 0,
"return_documents": false
};
const response = await fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
},
body: JSON.stringify(body)
});
console.log(await response.text());package main
import (
"fmt"
"io"
"net/http"
"strings"
)
func main() {
url := "https://api.nodeprice.com/v1/rerank"
body := strings.NewReader(`{
"model": "string",
"query": "string",
"documents": [
"string"
],
"top_n": 0,
"return_documents": false
}`)
req, err := http.NewRequest("POST", url, body)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer <token>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
data, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println(string(data))
}import requests
url = "https://api.nodeprice.com/v1/rerank"
body = """{
"model": "string",
"query": "string",
"documents": [
"string"
],
"top_n": 0,
"return_documents": false
}"""
response = requests.request("POST", url, data=body, headers={
"Content-Type": "application/json",
"Authorization": "Bearer <token>"
})
print(response.text)OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n"
+ " \"model\": \"string\",\n"
+ " \"query\": \"string\",\n"
+ " \"documents\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"top_n\": 0,\n"
+ " \"return_documents\": false\n"
+ "}");
Request request = new Request.Builder()
.url("https://api.nodeprice.com/v1/rerank")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.addHeader("Authorization", "Bearer <token>")
.build();
Response response = client.newCall(request).execute();
System.out.println(response.body().string());#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl = curl_easy_init();
if (curl == NULL) {
return 1;
}
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Content-Type: application/json");
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
curl_easy_setopt(curl, CURLOPT_URL, "https://api.nodeprice.com/v1/rerank");
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, "{\n"
+ " \"model\": \"string\",\n"
+ " \"query\": \"string\",\n"
+ " \"documents\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"top_n\": 0,\n"
+ " \"return_documents\": false\n"
+ "}");
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
CURLcode code = curl_easy_perform(curl);
if (code != CURLE_OK) {
fprintf(stderr, "%s\n", curl_easy_strerror(code));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
return 0;
}using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Post, "https://api.nodeprice.com/v1/rerank");
request.Headers.Add("Authorization", "Bearer <token>");
request.Content = new StringContent("{\n"
+ " \"model\": \"string\",\n"
+ " \"query\": \"string\",\n"
+ " \"documents\": [\n"
+ " \"string\"\n"
+ " ],\n"
+ " \"top_n\": 0,\n"
+ " \"return_documents\": false\n"
+ "}", Encoding.UTF8, "application/json");
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
}
}响应
200 成功重排序
Content-Type: application/json
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | string | ||
results | array<object> | ||
[] | object | ||
index | integer | ||
relevance_score | number | ||
document | object | ||
meta | object |